
From: Tom Zanussi <zanussi@us.ibm.com>

This patch removes from relayfs the 'klog debugging channel', which is a
relayfs 'application' that doesn't belong in the main code.

Signed-off-by: Tom Zanussi <zanussi@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null |   24 ------------------------
 1 files changed, 24 deletions(-)

diff -L include/linux/klog.h -puN include/linux/klog.h~relayfs-remove-klog-debugging-channel-headers /dev/null
--- 25/include/linux/klog.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,24 +0,0 @@
-/*
- * KLOG		Generic Logging facility built upon the relayfs infrastructure
- *
- * Authors:	Hubertus Frankeh  (frankeh@us.ibm.com)
- *		Tom Zanussi  (zanussi@us.ibm.com)
- *
- *		Please direct all questions/comments to zanussi@us.ibm.com
- *
- *		Copyright (C) 2003, IBM Corp
- *
- *
- *		This program is free software; you can redistribute it and/or
- *		modify it under the terms of the GNU General Public License
- *		as published by the Free Software Foundation; either version
- *		2 of the License, or (at your option) any later version.
- */
-
-#ifndef _LINUX_KLOG_H
-#define _LINUX_KLOG_H
-
-extern int klog(const char *fmt, ...);
-extern int klog_raw(const char *buf,int len);
-
-#endif	/* _LINUX_KLOG_H */
_
